SVHLABEL(8) | System Manager's Manual | SVHLABEL(8)

# NAME

`svhlabel` —
update disk label from SGI Volume Header

# SYNOPSIS

`svhlabel` | [`-fqrw`] device

# DESCRIPTION

`svhlabel` is used to update a NetBSD disk label from the Silicon Graphics Volume Header on disks that were previously used on IRIX systems.

`svhlabel` scans the Volume Header contained in the first blocks of the disk and generates additional partition entries for the disk from the entries found.

Each Volume Header entry which does not have an equivalent partition in the disk label (equivalent in having the same size and offset) is added to the first free partition slot in the disk label. A free partition slot is defined as one with an `fstype` of ‘`unused`’ and a `size` of zero (‘0’). If there are not enough free slots in the disk label, a warning will be issued.

The raw partition (typically partition c, but d on i386 and some other platforms) is left alone during this process.

By default, the proposed changed disk label will be displayed and no disk label update will occur.

Available options:

`-f`
  Force an update, even if there has been no change.
`-q`
  Performs operations in a quiet fashion.
`-r`
  In conjunction with `-w`, also update the on-disk label. You probably do not want to do this.
`-w`
  Update the in-core label if it has been changed.

# SEE ALSO

disklabel(8), dkctl(8), mount_efs(8), sgivol(8)

# HISTORY

The `svhlabel` command appeared in NetBSD 5.0.

February 26, 2007 | NetBSD 9.5